<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>CCodeRefactoring: getDefinesInDataFile.hpp Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
  $(document).ready(function() { init_search(); });
/* @license-end */
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">CCodeRefactoring
   &#160;<span id="projectnumber">First Alpha</span>
   </div>
   <div id="projectbrief">Create Simulation Executable From Existing Code</div>
  </td>
   <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('get_defines_in_data_file_8hpp_source.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">getDefinesInDataFile.hpp</div>  </div>
</div><!--header-->
<div class="contents">
<a href="get_defines_in_data_file_8hpp.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="preprocessor">#include &quot;llvm/Support/Host.h&quot;</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="preprocessor">#include &quot;llvm/ADT/IntrusiveRefCntPtr.h&quot;</span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160; </div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="preprocessor">#include &quot;clang/Basic/DiagnosticOptions.h&quot;</span></div>
<div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="preprocessor">#include &quot;clang/Frontend/TextDiagnosticPrinter.h&quot;</span></div>
<div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="preprocessor">#include &quot;clang/Frontend/CompilerInstance.h&quot;</span></div>
<div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="preprocessor">#include &quot;clang/Basic/TargetOptions.h&quot;</span></div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="preprocessor">#include &quot;clang/Basic/TargetInfo.h&quot;</span></div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="preprocessor">#include &quot;clang/Basic/FileManager.h&quot;</span></div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="preprocessor">#include &quot;clang/Basic/SourceManager.h&quot;</span></div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="preprocessor">#include &quot;clang/Lex/Preprocessor.h&quot;</span></div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="preprocessor">#include &quot;clang/Basic/Diagnostic.h&quot;</span></div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="preprocessor">#include &quot;clang/Lex/Lexer.h&quot;</span></div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="preprocessor">#include &quot;llvm/Support/MemoryBuffer.h&quot;</span></div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="preprocessor">#include &quot;clang/Basic/SourceLocation.h&quot;</span></div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="preprocessor">#include &quot;clang/Basic/LangOptions.h&quot;</span></div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="preprocessor">#include &quot;clang/Tooling/CompilationDatabase.h&quot;</span></div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="preprocessor">#include &quot;clang/Frontend/Utils.h&quot;</span></div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="preprocessor">#include &quot;clang/Rewrite/Frontend/Rewriters.h&quot;</span></div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="preprocessor">#include &quot;clang/Rewrite/Core/Rewriter.h&quot;</span></div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160; </div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160; </div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="preprocessor">#ifndef bsoncxxType</span></div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="preprocessor">    #define bsoncxxType</span></div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160; </div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<span class="preprocessor">        #include &lt;bsoncxx/builder/basic/array.hpp&gt;</span></div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;<span class="preprocessor">        #include &lt;bsoncxx/builder/basic/document.hpp&gt;</span></div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;<span class="preprocessor">        #include &lt;bsoncxx/builder/basic/kvp.hpp&gt;</span></div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;<span class="preprocessor">        #include &lt;bsoncxx/builder/stream/array.hpp&gt;</span></div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;<span class="preprocessor">        #include &lt;bsoncxx/builder/stream/document.hpp&gt;</span></div>
<div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;<span class="preprocessor">        #include &lt;bsoncxx/builder/stream/helpers.hpp&gt;</span></div>
<div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160; </div>
<div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;<span class="preprocessor">        #include &lt;bsoncxx/types.hpp&gt;</span></div>
<div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;<span class="preprocessor">        #include &lt;bsoncxx/stdx/string_view.hpp&gt;</span></div>
<div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;<span class="preprocessor">        #include &lt;bsoncxx/json.hpp&gt;</span> </div>
<div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;<span class="preprocessor">        #include &lt;bsoncxx/types.hpp&gt;</span></div>
<div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160; </div>
<div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;<span class="preprocessor">        #include &lt;bsoncxx/builder/basic/document.hpp&gt;</span></div>
<div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;<span class="preprocessor">        #include &lt;bsoncxx/json.hpp&gt;</span></div>
<div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160; </div>
<div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;<span class="preprocessor">        #include &lt;bsoncxx/document/value.hpp&gt;</span></div>
<div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;<span class="preprocessor">        #include &lt;bsoncxx/stdx/string_view.hpp&gt;</span></div>
<div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160; </div>
<div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;<span class="preprocessor">#endif </span></div>
<div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160; </div>
<div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;<span class="preprocessor">#ifndef PTHUTIL</span></div>
<div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;<span class="preprocessor">    #include &quot;<a class="code" href="search_path_utilities_8hpp.html">searchPathUtilities.hpp</a>&quot;</span></div>
<div class="line"><a name="l00048"></a><span class="lineno"><a class="line" href="get_defines_in_data_file_8hpp.html#a7963ecf4880f2a8174061faaf96e39ab">   48</a></span>&#160;<span class="preprocessor">    # define PTHUTIL</span></div>
<div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;<span class="preprocessor">#endif</span></div>
<div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160; </div>
<div class="line"><a name="l00051"></a><span class="lineno"><a class="line" href="get_defines_in_data_file_8hpp.html#afb7c816e51c783a8b234ad6e2e22e7e7">   51</a></span>&#160;<span class="keywordtype">void</span> <a class="code" href="get_defines_in_data_file_8hpp.html#afb7c816e51c783a8b234ad6e2e22e7e7">findAndStoreDefines</a>(std::string targetEntry)</div>
<div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;{</div>
<div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;    clang::CompilerInstance ci;          </div>
<div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;    ci.createDiagnostics();</div>
<div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;    ci.createFileManager();</div>
<div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;    ci.createSourceManager(ci.getFileManager());</div>
<div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160; </div>
<div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;    <span class="keyword">auto</span> pFileEntry = ci.getFileManager().getFile(targetEntry);       </div>
<div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;    <span class="keywordflow">if</span> (pFileEntry)</div>
<div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;    {</div>
<div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;        clang::FileID IDmain;</div>
<div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;        IDmain = ci.getSourceManager().createFileID(*pFileEntry, clang::SourceLocation(), clang::SrcMgr::C_User);</div>
<div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;        ci.getSourceManager().setMainFileID(IDmain);</div>
<div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160; </div>
<div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;        llvm::MemoryBufferRef FromFile;</div>
<div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;                        </div>
<div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;        FromFile = ci.getSourceManager().getMemoryBufferForFileOrFake(*pFileEntry);                                        </div>
<div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;        clang::Lexer RawLex(IDmain, FromFile, ci.getSourceManager(), ci.getLangOpts());</div>
<div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160; </div>
<div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;        clang::Token TokRaw; </div>
<div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;        TokRaw.startToken();</div>
<div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160; </div>
<div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;        <span class="keywordflow">while</span> (TokRaw.isNot(clang::tok::eof)) </div>
<div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;        {</div>
<div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;            RawLex.LexFromRawLexer(TokRaw);</div>
<div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;            </div>
<div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;            std::string Tokenstring = RawLex.getSpelling(TokRaw, ci.getSourceManager(), ci.getLangOpts());            </div>
<div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;            <span class="keywordtype">bool</span> b_value = <span class="keyword">false</span>; </div>
<div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160; </div>
<div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;            <span class="keywordflow">if</span>(TokRaw.getKind() == clang::tok::TokenKind::hash)</div>
<div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;            {</div>
<div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;                RawLex.LexFromRawLexer(TokRaw);</div>
<div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;                Tokenstring = RawLex.getSpelling(TokRaw, ci.getSourceManager(), ci.getLangOpts());                            </div>
<div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;                <span class="keywordflow">if</span>(Tokenstring.compare(<span class="stringliteral">&quot;define&quot;</span>)==0)</div>
<div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;                {</div>
<div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;                    RawLex.LexFromRawLexer(TokRaw);</div>
<div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;                    Tokenstring = RawLex.getSpelling(TokRaw, ci.getSourceManager(), ci.getLangOpts());            </div>
<div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;                    RawLex.LexFromRawLexer(TokRaw);</div>
<div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;                    </div>
<div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;                    <span class="keywordflow">if</span>(targetEntry.compare(<span class="stringliteral">&quot;/usr/src/sw_to_build/P1084CDV5_P1701.1.0.0/includes/data/asmod_voleff_dat.h&quot;</span>)==0)</div>
<div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;                    {</div>
<div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160;                        <span class="keywordtype">bool</span> StartOfLine = TokRaw.isAtStartOfLine();</div>
<div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;                        <span class="keywordtype">bool</span> LeadingSpace = TokRaw.hasLeadingSpace();</div>
<div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;                        <span class="keywordtype">bool</span> LeadingEmptyMacro = TokRaw.hasLeadingEmptyMacro();</div>
<div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160;                    }</div>
<div class="line"><a name="l00100"></a><span class="lineno">  100</span>&#160; </div>
<div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;                    <span class="keywordflow">if</span>(TokRaw.getKind() == clang::tok::TokenKind::numeric_constant)</div>
<div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;                    {                        </div>
<div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160;                        std::string value = RawLex.getSpelling(TokRaw, ci.getSourceManager(), ci.getLangOpts());                             </div>
<div class="line"><a name="l00104"></a><span class="lineno">  104</span>&#160;                        bsoncxx::builder::basic::document MainNode;</div>
<div class="line"><a name="l00105"></a><span class="lineno">  105</span>&#160;                        MainNode.append(kvp(<span class="stringliteral">&quot;Symbol&quot;</span>,Tokenstring));</div>
<div class="line"><a name="l00106"></a><span class="lineno">  106</span>&#160;                        MainNode.append(kvp(<span class="stringliteral">&quot;Value&quot;</span>,value));</div>
<div class="line"><a name="l00107"></a><span class="lineno">  107</span>&#160;                        MainNode.append(kvp(<span class="stringliteral">&quot;file&quot;</span>,targetEntry));</div>
<div class="line"><a name="l00108"></a><span class="lineno">  108</span>&#160;                        <span class="keywordtype">bool</span> isInserted = <a class="code" href="postgres_interface_8hpp.html#a93a897241339ada0d6a3676765ae1d21">insertOneIntoCollection</a>(<span class="stringliteral">&quot;ThermoBaseDataStationary&quot;</span>,<span class="stringliteral">&quot;defines_in_datasrc&quot;</span>,<span class="stringliteral">&quot;defines&quot;</span>,MainNode.extract());              </div>
<div class="line"><a name="l00109"></a><span class="lineno">  109</span>&#160;                        </div>
<div class="line"><a name="l00110"></a><span class="lineno">  110</span>&#160;                    }</div>
<div class="line"><a name="l00111"></a><span class="lineno">  111</span>&#160;                    </div>
<div class="line"><a name="l00112"></a><span class="lineno">  112</span>&#160;                }              </div>
<div class="line"><a name="l00113"></a><span class="lineno">  113</span>&#160;                </div>
<div class="line"><a name="l00114"></a><span class="lineno">  114</span>&#160;            }         </div>
<div class="line"><a name="l00115"></a><span class="lineno">  115</span>&#160;        }</div>
<div class="line"><a name="l00116"></a><span class="lineno">  116</span>&#160;    }</div>
<div class="line"><a name="l00117"></a><span class="lineno">  117</span>&#160;}</div>
<div class="line"><a name="l00118"></a><span class="lineno">  118</span>&#160;        </div>
<div class="line"><a name="l00119"></a><span class="lineno"><a class="line" href="get_defines_in_data_file_8hpp.html#a3fd68e87e66e23e388c61660f1b78df7">  119</a></span>&#160;<span class="keywordtype">void</span> <a class="code" href="get_defines_in_data_file_8hpp.html#a3fd68e87e66e23e388c61660f1b78df7">getDefinesInDataFile</a>(std::string pthAnalysis)</div>
<div class="line"><a name="l00120"></a><span class="lineno">  120</span>&#160;{    </div>
<div class="line"><a name="l00121"></a><span class="lineno">  121</span>&#160;    <a class="code" href="postgres_interface_8hpp.html#a952e42de50e86fdd1ac069a8acf991e1">createPgTables</a>(<span class="stringliteral">&quot;defines_in_datasrc&quot;</span>,<span class="stringliteral">&quot;defines&quot;</span>);  </div>
<div class="line"><a name="l00122"></a><span class="lineno">  122</span>&#160; </div>
<div class="line"><a name="l00123"></a><span class="lineno">  123</span>&#160;    std::vector&lt;std::string&gt; split_vec = <a class="code" href="search_path_utilities_8hpp.html#a38a14ece7625a78b944e2fcdf17ef45b">getElementOfJSONArray</a>(pthAnalysis);</div>
<div class="line"><a name="l00124"></a><span class="lineno">  124</span>&#160;    <span class="keywordflow">for</span>(std::vector&lt;std::string&gt;::iterator it=split_vec.begin();it!=split_vec.end();it++)</div>
<div class="line"><a name="l00125"></a><span class="lineno">  125</span>&#160;    {</div>
<div class="line"><a name="l00126"></a><span class="lineno">  126</span>&#160;        std::string cur_file_path = *it;</div>
<div class="line"><a name="l00127"></a><span class="lineno">  127</span>&#160;        </div>
<div class="line"><a name="l00128"></a><span class="lineno">  128</span>&#160;        std::string queryStr_1 = <span class="stringliteral">&quot;SELECT DISTINCT hdrtree FROM public.headertree WHERE hdrtree @&gt; &#39;{\&quot;CFile\&quot;: \&quot;&quot;</span>+cur_file_path+<span class="stringliteral">&quot;\&quot;}&#39;&quot;</span>;</div>
<div class="line"><a name="l00129"></a><span class="lineno">  129</span>&#160;        std::vector&lt;std::vector&lt;std::string&gt;&gt; resHdrPths_vec = <a class="code" href="postgres_interface_8hpp.html#a23641ff228bc4a84c18a7ae15c42ed77">genericQuery</a>(<span class="stringliteral">&quot;ThermoBaseDataStationary&quot;</span>,queryStr_1);</div>
<div class="line"><a name="l00130"></a><span class="lineno">  130</span>&#160;        <span class="keywordflow">for</span>(std::vector&lt;std::vector&lt;std::string&gt;&gt;::iterator itHd=resHdrPths_vec.begin();itHd!=resHdrPths_vec.end();itHd++)</div>
<div class="line"><a name="l00131"></a><span class="lineno">  131</span>&#160;        {</div>
<div class="line"><a name="l00132"></a><span class="lineno">  132</span>&#160;            std::vector&lt;std::string&gt; cur_vec = *itHd;</div>
<div class="line"><a name="l00133"></a><span class="lineno">  133</span>&#160;            std::string cur = cur_vec[0];</div>
<div class="line"><a name="l00134"></a><span class="lineno">  134</span>&#160;            std::vector&lt;std::string&gt; split_inner_vec = <a class="code" href="search_path_utilities_8hpp.html#a22aa9d16f96c6693a4997b3c37d9c134">getElementOfJSONAppendedDoc</a>(cur);</div>
<div class="line"><a name="l00135"></a><span class="lineno">  135</span>&#160;            cur = split_inner_vec[2];</div>
<div class="line"><a name="l00136"></a><span class="lineno">  136</span>&#160;            std::size_t found = cur.find_last_of(<span class="stringliteral">&quot;/\\&quot;</span>);</div>
<div class="line"><a name="l00137"></a><span class="lineno">  137</span>&#160;            std::string file = cur.substr(found+1);        </div>
<div class="line"><a name="l00138"></a><span class="lineno">  138</span>&#160;            found = file.find(<span class="stringliteral">&quot;_dat.h&quot;</span>);</div>
<div class="line"><a name="l00139"></a><span class="lineno">  139</span>&#160;            <span class="keywordflow">if</span> (found!=std::string::npos)                </div>
<div class="line"><a name="l00140"></a><span class="lineno">  140</span>&#160;            {            </div>
<div class="line"><a name="l00141"></a><span class="lineno">  141</span>&#160;                std::string targetEntry = <a class="code" href="search_path_utilities_8hpp.html#a65385cf4429f17bcbd1f4e78c4d50259">replaceString</a>(cur,<span class="stringliteral">&quot;sw_to_analyze&quot;</span>,<span class="stringliteral">&quot;sw_to_build&quot;</span>);</div>
<div class="line"><a name="l00142"></a><span class="lineno">  142</span>&#160;                <a class="code" href="get_defines_in_data_file_8hpp.html#afb7c816e51c783a8b234ad6e2e22e7e7">findAndStoreDefines</a>(targetEntry);                    </div>
<div class="line"><a name="l00143"></a><span class="lineno">  143</span>&#160;            }</div>
<div class="line"><a name="l00144"></a><span class="lineno">  144</span>&#160;        }           </div>
<div class="line"><a name="l00145"></a><span class="lineno">  145</span>&#160;    }</div>
<div class="line"><a name="l00146"></a><span class="lineno">  146</span>&#160;}</div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<div class="ttc" id="apostgres_interface_8hpp_html_a23641ff228bc4a84c18a7ae15c42ed77"><div class="ttname"><a href="postgres_interface_8hpp.html#a23641ff228bc4a84c18a7ae15c42ed77">genericQuery</a></div><div class="ttdeci">std::vector&lt; std::vector&lt; std::string &gt; &gt; genericQuery(std::string dbName, std::string query)</div><div class="ttdef"><b>Definition:</b> postgresInterface.hpp:759</div></div>
<div class="ttc" id="asearch_path_utilities_8hpp_html"><div class="ttname"><a href="search_path_utilities_8hpp.html">searchPathUtilities.hpp</a></div></div>
<div class="ttc" id="asearch_path_utilities_8hpp_html_a22aa9d16f96c6693a4997b3c37d9c134"><div class="ttname"><a href="search_path_utilities_8hpp.html#a22aa9d16f96c6693a4997b3c37d9c134">getElementOfJSONAppendedDoc</a></div><div class="ttdeci">std::vector&lt; std::string &gt; getElementOfJSONAppendedDoc(std::string JSONDocs)</div><div class="ttdef"><b>Definition:</b> searchPathUtilities.hpp:169</div></div>
<div class="ttc" id="aget_defines_in_data_file_8hpp_html_a3fd68e87e66e23e388c61660f1b78df7"><div class="ttname"><a href="get_defines_in_data_file_8hpp.html#a3fd68e87e66e23e388c61660f1b78df7">getDefinesInDataFile</a></div><div class="ttdeci">void getDefinesInDataFile(std::string pthAnalysis)</div><div class="ttdef"><b>Definition:</b> getDefinesInDataFile.hpp:119</div></div>
<div class="ttc" id="apostgres_interface_8hpp_html_a93a897241339ada0d6a3676765ae1d21"><div class="ttname"><a href="postgres_interface_8hpp.html#a93a897241339ada0d6a3676765ae1d21">insertOneIntoCollection</a></div><div class="ttdeci">bool insertOneIntoCollection(std::string dbName, std::string table, std::string column, bsoncxx::document::value doc_val)</div><div class="ttdef"><b>Definition:</b> postgresInterface.hpp:66</div></div>
<div class="ttc" id="asearch_path_utilities_8hpp_html_a65385cf4429f17bcbd1f4e78c4d50259"><div class="ttname"><a href="search_path_utilities_8hpp.html#a65385cf4429f17bcbd1f4e78c4d50259">replaceString</a></div><div class="ttdeci">std::string replaceString(std::string search_path, std::string origin, std::string replacement)</div><div class="ttdef"><b>Definition:</b> searchPathUtilities.hpp:50</div></div>
<div class="ttc" id="apostgres_interface_8hpp_html_a952e42de50e86fdd1ac069a8acf991e1"><div class="ttname"><a href="postgres_interface_8hpp.html#a952e42de50e86fdd1ac069a8acf991e1">createPgTables</a></div><div class="ttdeci">int createPgTables(std::string table_name, std::string column_name)</div><div class="ttdef"><b>Definition:</b> postgresInterface.hpp:597</div></div>
<div class="ttc" id="asearch_path_utilities_8hpp_html_a38a14ece7625a78b944e2fcdf17ef45b"><div class="ttname"><a href="search_path_utilities_8hpp.html#a38a14ece7625a78b944e2fcdf17ef45b">getElementOfJSONArray</a></div><div class="ttdeci">std::vector&lt; std::string &gt; getElementOfJSONArray(std::string JSONarray)</div><div class="ttdef"><b>Definition:</b> searchPathUtilities.hpp:216</div></div>
<div class="ttc" id="aget_defines_in_data_file_8hpp_html_afb7c816e51c783a8b234ad6e2e22e7e7"><div class="ttname"><a href="get_defines_in_data_file_8hpp.html#afb7c816e51c783a8b234ad6e2e22e7e7">findAndStoreDefines</a></div><div class="ttdeci">void findAndStoreDefines(std::string targetEntry)</div><div class="ttdef"><b>Definition:</b> getDefinesInDataFile.hpp:51</div></div>
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="get_defines_in_data_file_8hpp.html">getDefinesInDataFile.hpp</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
